Upgrade Textey Package Prior to Salesforce Critical Update

On September 5th, 2019 Salesforce will auto-enable a Critical Update that will restrict your users' ability to directly access Custom Settings. In our testing we've found that this will cause an error with some Textey components in older versions. We have introduced a patch in our most recent version that will fix this issue and prevent the error.


What is the Critical Update in Salesforce?

The official documentation from Salesforce reads:

"Currently users without Customize Application permission can read custom settings using different APIs that are provided by Salesforce. Following the “secure by default” approach, read access for users without Customize Application permission will be revoked with this update."

You can read full details about this critical update here - Critical Update Release Notes


How will this impact me?

Some of Textey's components directly reference custom settings. When the above critical update is activated, these components will begin to display an error message for those users who do not have the Customize Application permission.

If you use any of the following Textey components you will need to take action prior to September 5, 2019:

  1. Textey Messenger (this component is placed on your record pages)
  2. Conversations page (this component is accessed using the Conversations tab)
  3. Inbox Utility (this component is accessed from your utility bar in Lightning)

What action do I need to take?

1. You just need to upgrade to the latest version of Textey from the AppExchange. The link to the AppExchange listing is here - Textey AppExchange Listing

Here are installation instructions from our knowledge base - Textey Installation Instructions

* If you are upgrading from Textey version 2.29 or lower, you will have two additional components installed. The new components are the Conversations tab and the Utility Inbox.

* If you are upgrading from Textey version 2.30 or higher, you will not have any additional components installed. The upgrade will just improve the existing components that are currently installed.


What if I have questions?

As always, if you have additional questions we're here to help.  Just use the Submit Request button at the top of this page.

 

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Article is closed for comments.